KBDRATE(8)

NAZWA
kbdrate - ustawia częstość samopowtarzania i opóźnienia klawiatury

SKŁADNIA
kbdrate [opcje...]

OPIS
kbdrate służy do zmiany częstotliwości samopowtarzania i opóźnienia klawiatury. Opóźnienie jest ilością czasu, przez który klawisz musi być wciśnięty zanim zacznie się automatycznie powtarzać. Użycie kbdrate bez opcji ustawi częstotliwość samopowtarzania na 10,9 znaków na sekundę (cps), a opóźnienie na 250 milisekund (ms) dla systemów opartych na procesorach Intela i M68K. Są to wartości domyślne IBM. Dla systemów SPARC-owych częstotliwość samopowtarzania zostanie ustawiona na 5 cps, a opóźnienie na 200 ms.

OPCJE

-r, --rate=LICZBA
    Zmienia częstość samopowtarzania na LICZBĘ znaków na sekundę (cps). Dla systemów Intel-owskich dopuszczalny zakres mieści się w zakresie od 2.0 do 30.0 cps. Możliwe są tylko niektóre wartości, a program sam wybierze wartość najbliższą podanej. Możliwe wartości, w znakach na sekundę to: 2.0, 2.1, 2.3, 2.5, 2.7, 3.0, 3.3, 3.7, 4.0, 4.3, 4.6, 5.0, 5.5, 6.0, 6.7, 7.5, 8.0, 8.6, 9.2, 10.0, 10.9, 12.0, 13.3, 15.0, 16.0, 17.1, 18.5, 20.0, 21.8, 24.0, 26.7, 30.0. Dla systemów SPARC-owych dozwolone są wartości od 0 (brak powtarzania) do 50 cps.

-d, --delay=LICZBA
    Zmienia opóźnienie na LICZBĘ milisekund. Dla systemów Intelowskich dopuszczalny jest zakres od 250 do 1000 ms ze skokiem co 250ms. Dla systemów SPARC-owych możliwe są wartości pomiędzy 10 ms a 1440 ms, z 10 ms skokiem.

-s, --silent
    Cicho. Nie wypisuje żadnych komunikatów.

-h, --help
    Wyświetla pomoc.

-V, --version
    Wypisuje numer wersji i kończy pracę.

BŁĘDY
Nie wszystkie klawiatury obsługują wszystkie częstości.

Nie wszystkie klawiatury mają takie samo odwzorowanie częstości.

Ustawianie częstości powtarzania nie działa na klawiaturze Gateway AnyKey. Jeśli ktoś z tą klawiaturą wie, jak ją programować, to prosimy o wysłanie wiadomoścido util-linux@math.uio.no.

Wszystko bardzo silnie zależy od architektury. Obecnie kbdrate najpierw próbuje użyć ioctl-i KDKBDREP i KIOCSRATE. (Pierwszy zazwyczaj działa na maszynach m68k/i386, a drugi na SPARC-owych). Gdy użycie tych ioctl-i się nie powiedzie, zakłada, że klawiatura korzysta z interfejsu opartego na portach I/O.

PLIKI
/etc/rc.local
/dev/port

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Andrzej Krzysztofowicz <ankry@green.mf.pg.gda.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.